.\" Copyright (c) 1993 Free Software Foundation, Inc.
.\" See section COPYING for conditions for redistribution
.TH file-pr 8 "October 1993" "GNATS @VERSION@" "GNATS Internal Utilities"
.de BP
.sp
.ti -.2i
\(**
..
.SH NAME
file\-pr \- files incoming problem reports in GNATS database
.SH SYNOPSIS
.hy 0
.na
.B file\-pr
.in +0.5i
[
.B \-f \fIfile\fB 
| 
.B \-\-file=\fIfile\fB
]
.br
[
.B \-d \fIdir\fB 
|
.B \-\-directory=\fIdir\fB
]
.br
[
.B \-h 
| 
.B \-\-help
]
[
.B \-V 
| 
.B \-\-version
]

.ad b
.hy 1
.SH DESCRIPTION
Files incoming bug reports in the 
.B GNATS
database.  Sends mail to appropriate people.  Logs database activity.
.SH OPTIONS
.TP 0.5i
.B \-d \fIdir\fB, \-\-directory=\fIdir\fB
operate on 
.I dir
rather than
.BR xGNATS_ROOTx .
.TP
.B \-f \fIfile\fB, \-\-file=\fIfile\fB
accept
.I file
as input; if this option is not present, standard input is used.
.TP
.B \-h, \-\-help
Display usage summary for
.BR file\-pr .
.TP
.B \-V, \-\-version
Display version number for
.BR file\-pr .
.SH FILES
.B xGNATS_ROOTx/*
.br
.B xGNATS_ROOTx/gnats-adm/*
.SH "SEE ALSO"
.I Keeping Track: Managing Messages With GNATS
(also installed as the GNU Info file
.BR gnats.info )
and
.I Reporting Problems Using send-pr
(also installed as the GNU Info file
.BR send-pr.info ).
.LP
.BR gnats (l),
.BR send-pr (1),
.BR query-pr (1),
.BR edit-pr (1),
.BR queue-pr (8),
.BR mkcat (8),
.BR rmcat (8),
.BR gen-index (8),
.BR mkdist (8).
.SH COPYING
Copyright (c) 1993 Free Software Foundation, Inc.
.PP
Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.
.PP
Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.
.PP
Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translations approved by the Free Software Foundation instead of in
the original English.
