.\" Copyright (c) 1993 Free Software Foundation, Inc.
.\" See section COPYING for conditions for redistribution
.TH mkdist 8 "April 1993" "GNATS @VERSION@" "GNATS Administration Utilities"
.de BP
.sp
.ti -.2i
\(**
..
.SH NAME
mkdist \- create a distribution of \fBsend-pr\fR for outside users
.SH SYNOPSIS
.hy 0
.na
.B mkdist
.I directory
.I release
.ad b
.hy 1
.SH DESCRIPTION
Builds a distribution of 
.B send-pr
so that users outside a support site can submit Problem Reports to the local
.BR GNATS .
.B mkdist
can be found in
.BR xGNATS_ROOTx/gnats-bin .
.LP
.B mkdist
creates a directory
.I directory
from a template directory
.B xGNATS_ROOTx/gnats-dist
which contains a complete distribution of 
.BR send-pr .
The default value for the
.B >Release:
field in the template is
.IR release .
.SH FILES
Creates into 
.I directory
from
.BR xGNATS_ROOTx/gnats-dist :
.TP 1.5i
.B COPYING
copyright information
.TP
.B INSTALL
installation notes
.TP
.B README
introductory notes
.TP
.B Makefile
Makefile
.TP
.B categories
current list of supported categories
.TP
.B install-sid.sh
Site-ID customization script, installed as
.B install-sid
.TP
.B send-pr-el.in
Emacs Lisp facilities for sending problem reports, installed as
.B send-pr.el
.TP
.B send-pr.sh
.B send-pr 
script, installed as
.B send-pr
.TP
.B send-pr.man
man page, installed as 
.BR send-pr (1)
.TP
.B send-pr.info
GNU Info documentation
.TP
.B send-pr.texi
Documentation source code
.TP
.B texinfo.tex
Macros for formatting hard-copy documentation with TeX
.SH "SEE ALSO"
.I Keeping Track: Managing Messages With GNATS
(also installed as the GNU Info file
.BR gnats.info )
and
.I Reporting Problems Using send-pr
(also installed as the GNU Info file
.BR send-pr.info ).
.LP
.BR gnats (l),
.BR send-pr (1),
.BR query-pr (1),
.BR edit-pr (1),
.BR file-pr (8),
.BR queue-pr (8),
.BR rmcat (8),
.BR gen-index (8),
.BR mkcat (8).
.SH COPYING
Copyright (c) 1993 Free Software Foundation, Inc.
.PP
Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.
.PP
Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.
.PP
Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translations approved by the Free Software Foundation instead of in
the original English.
